* {
    list-style: none;
    text-decoration: none;
    font-size: 1.32vw;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: #e9dde1;;
    margin: 0;
    padding: 0;
    box-sizing: border-box; /* Zorgt ervoor dat padding en borders binnen de breedte/hoogte vallen */
}
 h1 {
    font-size: 4rem;
}
h2 {
    font-size: 2.5rem;
}
h3, p, ul {
    font-size: 1rem;
}

img {
    max-height: 50vh;
    max-width: 50vw;
    display: block;
    object-fit: contain;
    margin-top: 2vh;
}

.small-img {
    max-height: 20vh;
    max-width: 20vw;
}

/* scrollbar____________________________________________________________________________________________________________________________________*/

::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  background: #0f172a;
}
::-webkit-scrollbar-thumb {
  background-color: #89a58c;
}

html {
  scroll-behavior: smooth;
}

/* Navbar____________________________________________________________________________________________________________________________________*/

.navBar {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 0 1.4vw 0.7vh 1.4vw;
    background-color: #00000075;
    position: fixed;
    z-index: 3;
    width: 100vw;

}
.navBar ul {
    display: flex;
    gap: 1.4vw;
    margin-top: 0vh;
}
.navBar ul li {
    font-size: 1.5rem;
    font-weight: 700;
    cursor: pointer;
}

.headerImg {
    max-width: 100vw;
    height: 100vh;
}

.currentsite {
    color: #89a58c;
}

/* sections____________________________________________________________________________________________________________________________________ */

.parentSection {
    max-width: 100vw;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: start;
}

.parentSection h1 {
    margin: 55vh 0 0 4vw;
    font-family: Orbitron;
    text-shadow: #16221E -0.1rem 0.1rem 0.2rem, #e9dde1 -0.1rem 0.1rem 0.4rem;
}

.parentSection p {
    width: 82.5vw;
    text-align: center;
    margin-top: 6vh;
}

.section {
    min-height: 100vh;
    width: 82.5vw;
    display: flex;
    flex-direction: column;
}

.section h2 {
    margin-top: 6vh;
    border-bottom: #e9dde1 solid 0.33rem;
    padding-bottom: 2vh;
    font-family: Orbitron;
}

.section h3 {
    margin-top: 2rem;
}

.section p, ul {
    margin-top: 1rem;
}

.section a {
    font-weight: 700;
}

/* .section ul :hover {
    text-decoration-line: underline;
} */

.section a {
    color: #89a58c;
}


/* backgrounds_____________________________________________________________________________________________________________________________ */

.blackBG {
    background-color: #0d1412;
    max-width: 100vw;
    min-height: 100vh;
    padding-top: 3vh;
    padding-bottom: 7.3vh;
    display: flex;
    justify-content: center;
}
.greenBG {
    background-color: #16221E;
    max-width: 100vw;
    min-height: 100vh;
    padding-top: 3vh;
    padding-bottom: 7.3vh;
    justify-content: center;
    display: flex;
}
/* dark overlay___________________________________________________________________________________________________________________________________ */
.parentSection,
.headerBrandGuide,
.headerPortfolio,
.headerUx,
.headerDev,
.headerOwnProjects{
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat; 
}

.parentSection::before,
.headerBrandGuide::before,
.headerPortfolio::before,
.headerUx::before,
.headerDev::before,
.headerOwnProjects::before {
    content: "";/*is verplicht om een pseudo-element te laten verschijnen en te kunnen gebruiken voor visuele effecten zoals overlays, iconen, of extra tekst.*/
    position: absolute;
    top: 0;
    left: 0;
    max-width: 100%;
    height: 100%;
    background: #0000003a; /* Pas de kleur en transparantie aan naar wens */
    z-index: 1;
    pointer-events: none;
}
/* Zorg dat de content boven de overlay staat */
.parentSection > *,
.headerBrandGuide > *,
.headerPortfolio > *,
.headerUx > *,
.headerDev > *,
.headerOwnProjects > * {
    position: relative;
    z-index: 2;
}

/* learningOutcomes _________________________________________________________________________________________________________________________*/

.headerLo {
    background-image: url(./img/imageHeaderLo.png);
}

#imgLo2, #imgLo3, #imgLo4, #imgLo5 {
    width: 100vw;
    min-height: 50vh;
    display: block;
    margin: 0;
    max-width: 99.35vw;
    max-height: 100vh;
}

.lo-proof {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(350px,1fr));
    column-gap:20px;
}

/* brandGuide______________________________________________________________________________________________________________________________ */

.headerBrandGuide {
    background-image: url(./img/header-brand-guide.avif);
}

/* index__________________________________________________________________________________________ */

.headerIndex {
    background-image: url(./img/header-index.jpg);
}

#indexLo {
    min-height: 50vh;
    max-width: 100vw;
}

/* Ux ___________________________________________________________________________________________________________________________________ */

.headerUx {
    background-image: url(./img/header-ux.png);
}

/* personalProject ___________________________________________________________________________________________________________________________________ */

.headerPersonalProject {
    background-image: url(./img/header-eigen-project.jpg);
}

/* development ___________________________________________________________________________________________________________________________________ */

.headerDev {
    background-image: url(./img/header-dev.jpg);
}

.mascotte img {
    width: 5vw;
    height: auto;
    margin: 2vw 0 0 2vw;
}

/* ownProjects ___________________________________________________________________________________________________________________________________ */

.headerOwnProjects {
    background-image: url(./img/headerOwnProjects.avif);
}

/* portfolio ___________________________________________________________________________________________________________________________________ */

.headerPortfolio {
    background-image: url(./img/header-portfolio.avif);
}

/*Footer ___________________________________________________________________________________________________________________________________ */
.footer {
    display: flex;
    justify-content: space-between;
    background-color: black;
    max-width: 100vw;
    min-height: 50vh;
    padding: 7.3vh 8.7vw;
}

.footer li {
    margin-top: 1vh;
}
